const system = require("../../../system");
const crypto = require('crypto');
var settings = require("../../../../config/settings");
class feishuLoginService{
  constructor() {
    this.utilsFeishuSve = system.getObject("service.utilsSve.utilsFeishuSve");
  };
  //用户登录
  async checkAndLogin(pobj){
    if(!pobj.code){
      return system.getResultFail(-100, "code参数不能为空");
    }
    
    //获取 app_access_token（应用商店应用）
    var appAccessTokenRes = await this.utilsFeishuSve.getAppAccessToken();
    if(appAccessTokenRes.status!=0){
      return appAccessTokenRes;
    }
    var app_access_token = appAccessTokenRes.data;

    //获取飞书登录用户身份
    var userAccessTokenParams = {
      "code":pobj.code,"app_access_token":app_access_token,"open_id":pobj.open_id || ""
    };
    var userAccessTokenRes = await this.utilsFeishuSve.getUserAccessToken(userAccessTokenParams);
    if(userAccessTokenRes.status!=0){
      return userAccessTokenRes;
    }
    var userAccessTokenObj = userAccessTokenRes.data;
    
    //获取飞书用户信息
    var userInfoParams={
      user_access_token:userAccessTokenObj.access_token
    };
    var userInfoRes = await this.utilsFeishuSve.getUserInfo(userInfoParams);
    if(userInfoRes.status!=0){
      return userInfoRes;
    }
    var userInfoObj = userInfoRes.data;
    var createUserParams = {
      
    };
  }
 
}
module.exports = feishuLoginService;